def is_empty_dictionary(dictionary: dict) -> bool:
    """ Returns True if given dictionary is None or empty.

    Arguments:
        dictionary: dictionary to test for emptiness.

    Returns:
        bool: True if given dictionary is None or empty.
    """
    return ((dictionary is None) or (len(dictionary) == 0))


def is_not_empty_dictionary(dictionary: dict) -> bool:
    """ Returns True if given dictionary has at least one element.

    Arguments:
        dictionary: dictionary to test for emptiness.

    Returns:
        bool: True if given dictionary has at least one element.
    """
    return (not is_empty_dictionary(dictionary))
