def is_empty_list(empty_list: list) -> bool:
    """ Returns True if given list is None or empty.

    Arguments:
        empty_list (list): list to test for emptiness.

    Returns:
        bool: True if given list is None or empty.
    """
    return ((empty_list is None) or (len(empty_list) == 0))


def is_not_empty_list(empty_list: list) -> bool:
    """ Returns True if given list has at least one element.

    Arguments:
        empty_list (list): list to test for emptiness.

    Returns:
        bool: True if given list has at least one element.
    """
    return (not is_empty_list(empty_list))
