from ISOF.model.web_service.smp_web_service import SmpWebService


class MedievalNamesManager:
    users = {}

    def __init__(self):
        self.data_source = SmpWebService()

    def get_user(self, user_id):
        if user_id in MedievalNamesManager.users:
            return MedievalNamesManager.users[user_id]
        else:
            return None

    def login(self, user, password, request):
        token = self.data_source.get_token(user, password)
        if token is not None:
            user = self.data_source.get_user(token)
            if user is not None:
                user.token = token
                request.session["token"] = token
                if user.id not in MedievalNamesManager.users:
                    MedievalNamesManager.users[user.id] = user
                return user
        return None

    def logout(self, user):
        if user.id in MedievalNamesManager.users:
            del MedievalNamesManager.users[user.id]
        return True
