from django.test import TestCase
from ISOF.common.list_functions import is_empty_list, is_not_empty_list


class TestListFunctions(TestCase):
    def test_is_empty_list(self):
        test_list = None
        self.assertTrue(is_empty_list(test_list))

        test_list = []
        self.assertTrue(is_empty_list(test_list))

        test_list.append(1)
        self.assertFalse(is_empty_list(test_list))

        test_list.append(1)
        self.assertFalse(is_empty_list(test_list))

    def test_is_not_empty_list(self):
        test_list = None
        self.assertFalse(is_not_empty_list(test_list))

        test_list = []
        self.assertFalse(is_not_empty_list(test_list))

        test_list.append(1)
        self.assertTrue(is_not_empty_list(test_list))

        test_list.append(1)
        self.assertTrue(is_not_empty_list(test_list))
