from typing import NamedTuple


class StringSearchStringExpression(NamedTuple):
    string: str

    def mongodbsearchversion(self):
        return self.string

    def isString(self):
        return True

    def casefold(self):
        return self.string.casefold()

    def matches(self, s):
        return s.casefold() == self.string.casefold()

    def matchesAny(self, l):
        return any([self.matches(e) for e in l])

