from django.db import models

class Help_texts(models.Model):
    page_title = models.TextField(blank=False, null=False, verbose_name="Sidtitel")
    page_name = models.TextField(blank=False, null=False, verbose_name="Sidnamn")
    help_text = models.TextField(blank=False, null=False, verbose_name="Hjälptext")

    createdate = models.DateTimeField(auto_now_add=True, verbose_name="Skapad datum")
    changedate = models.DateTimeField(auto_now=True, blank=True, verbose_name="Ändrad datum")

    class Meta:
        managed = True
        db_table = 'help_texts'
