from django.urls import re_path
from rikstermbanken_edit import views

# App name must be specified, otherwise Django will complain about the URL's.
app_name = "edit"

urlpatterns = [
    re_path(r'^compare$', views.compare_databases),
    re_path(r'^import/files-to-public$', views.import_files_to_public),
    re_path(r'^import/files-to-staging$', views.import_files_to_staging),
    re_path(r'^import/source-to-public$', views.import_source_to_public),
    re_path(r'^help-texts$', views.edit_help_texts),
    re_path(r'^update-text$', views.edit_update_text),
    re_path(r'^import-all$', views.import_data_all),
    re_path(r'^import$', views.import_data),
    re_path(r'^create-site-map$', views.create_site_map),
]
