import platform


class Configuration():
    FRIGG_ADDRESS = 'frigg.isof.se'
    FRIGG_TEST_ADDRESS = 'frigg-test.isof.se'
    LOCALHOST_ADDRESS = 'localhost'
    ODEN_ADDRESS = 'oden.isof.se'
    ODEN_TEST_ADDRESS = 'oden-test.isof.se'
    PLACE_NAME_SERVICE_ADDRESS = 'PlaceNameService.isof.se'
    MEDIEVAL_NAMES_SERVICE_ADDRESS = 'SmpService.isof.se'
    MEDIEVAL_NAMES_SERVICE_TEST_ADDRESS = 'SmpService-test.isof.se'
    PLACE_NAME_SERVICE_TEST_ADDRESS = 'PlaceNameService-test.isof.se'

    SAGA_ADDRESS = 'saga.isof.se'
    SAGA_TEST_ADDRESS = 'saga-test.isof.se'

    # Old development computer.
    # BEAR_DEVELOPMENT_COMPUTER_NAME = 'BearUbuntu'
    # New development computer.
    BEAR_DEVELOPMENT_COMPUTER_NAME = 'UbuntuBear'
    FRIGG_NAME = 'uuc-isof005.its.uu.se'
    FRIGG_TEST_NAME = 'uuc-isof004-t.its.uu.se'

    JOHAN_DEVELOPMENT_COMPUTER_NAME = 'johan-Virtual-Machine'
    GARM_NAME = 'uuc-srv489.sat.its.uu.se'
    GARM_TEST_NAME = 'uuc-srv464.sat.its.uu.se'

    INTERNET_PROTOCOL = 'https://'

    computer = platform.node()
    debug = not (computer == FRIGG_NAME)

    @staticmethod
    def is_development_computer():
        return ((Configuration.computer != Configuration.FRIGG_NAME) and
                (Configuration.computer != Configuration.FRIGG_TEST_NAME))

