from ISOF.common.list_functions import is_empty_list


class PlaceNameBasisSearchResult():
    # count = models.BigIntegerField(null=False)
    # page_number = models.BigIntegerField(null=False)
    # page_size = models.BigIntegerField(null=False)
    # Property "place_name_basis" is an array with instances of data type PlaceNameBasis.

    def __init__(self):
        self.count = 0
        self.page_number = 0
        self.page_size = 0
        self.place_name_basis = None

    def has_place_name_basis(self) -> bool:
        return self.count > 0

    def is_place_name_basis_in_search_result(self, place_name_basis_id: int) -> bool:
        if (is_empty_list(self.place_name_basis)):
            return False

        for temp_place_name_basis in self.place_name_basis:
            if (temp_place_name_basis.id == place_name_basis_id):
                return True

        return False
