        function adjustDetailWindow() {
        if (window.scrollY > 300) {
        $(".rb-search-result-detail").css("top", "0px");
        } else {
            $(".rb-search-result-detail").css("top", 300-window.scrollY);
        }
        }

        function selectresult(search_result) {
                let href = search_result.find(".rb-search-result-arrow").attr("term_post_view_url");
        console.log(search_result);
        console.log(href);
        if (!href) {
        return;
        }
        $(".rb-search-result").removeClass("selected");
        $("body").addClass("detailVisible");
        search_result.addClass("selected");
                $.ajax({
                        url:href+"?view=resultpage",
        method: "GET",
        dataType: "html",
                        success: function (data) {
                            $(".rb-search-result-detail").empty().html(data);
        $(".rb-close").click(function () {
        $(".rb-search-result-detail").empty();
        $("body").removeClass("detailVisible");
        $(".rb-search-result").removeClass("selected");
        if (window.matchMedia("(max-width: 800px)").matches) {
        search_result.addClass("selected");
        search_result[0].scrollIntoView();
        }
        });
        if (search_result.next().length) {
        $(".rb-search-result-detail #next-result").css("visibility", "").css("cursor", "pointer").click(function () {
        selectresult(search_result.next());
        });
        }
        if (search_result.prev().length) {
        $(".rb-search-result-detail #prev-result").css("visibility", "").css("cursor", "pointer").click(function () {
        selectresult(search_result.prev());
        });
        }

        if (window.matchMedia("(max-width: 800px)").matches) {
        window.scrollTo({top: 0, left: 0, behavior: 'instant'});
        }
        adjustDetailWindow();
                    },
                    error: function () {
                        $(".rb-search-result-detail").empty();
                    }
            });
        }

        $(function () {
        $( window ).scroll(function() {
        adjustDetailWindow();
        });
        $(".rb-search-result").click(function (e) {
        let search_result = $(e.delegateTarget);
        selectresult(search_result);
        });

        });


function toggleTermFilter() {
    this.classList.toggle("active");
    var content = this.nextElementSibling;
    if (content.style.maxHeight){
      content.style.maxHeight = null;
    } else {
      content.style.maxHeight = content.scrollHeight + "px";
    }
  }

// Check if footer position should be adjusted.
// There shall never be any space under the footer in the browser.
function checkFooterPosition() {
	var footer;
	var footerBottom;
	var footerPosition;
	var hasViewElement;
	var newFooterTopPosition;
	var positionChange;
	var screenHeight;
	var viewElement;

	// Get footer element.
	footer = $(".isof-footer").first();

	// Get view element whose heights should be adjusted according to footer position.
	// TODO: Change this functionality to work on an array of view elements.
	hasViewElement = $(".adjust-view-with-footer").length;
	if (hasViewElement) {
    	viewElement = $(".adjust-view-with-footer").first();
	}

	// Remove previouse set style attribute by this function.
	footer.removeAttr('style');
	if (hasViewElement) {
    	viewElement.removeAttr('style');
	}

	// Get current view information.
	footerBottom = footer.position().top + footer.outerHeight(true);
	footerPosition = footer.position();
	screenHeight = $(window).outerHeight();
	// alert(footerBottom);
	// alert(screenHeight);
	if (footerBottom < screenHeight) {
		// Move footer down to bottom of the screen.
		positionChange = screenHeight - footerBottom;
		newFooterTopPosition = footerPosition.top + positionChange;
		footer.css({top: newFooterTopPosition, left: 0, position:'absolute', width:'100%'});
	}


	if (hasViewElement && (footerBottom < screenHeight)) {
		// Change view element heights according to footer change.
		newViewElementHeight = viewElement.height() + positionChange + footer.height();
		// alert(positionChange);
		viewElement.css({height: newViewElementHeight});
	}
}


$(document).ready(function() {
    // Enable all tooltips on page.
    var coll = document.getElementsByClassName("rb-expandable");
    var i;
    for (i = 0; i < coll.length; i++) {
     coll[i].addEventListener("click", toggleTermFilter);
     }
    var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
    var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
      return new bootstrap.Tooltip(tooltipTriggerEl)
    });

    var showTermFilter = $(".show_term_filter");
    if (showTermFilter.length) {
        showTermFilter[0].classList.toggle("active");
        var content = showTermFilter[0].nextElementSibling;
        if (content.style.maxHeight){
          content.style.maxHeight = null;
        } else {
         content.style.maxHeight = content.scrollHeight + "px";
        }
    };

    //checkFooterPosition();
	//$(window).resize(checkFooterPosition);
});