class SourceFileHeader():
    """ Represents header part of the source file.
    """

    def __init__(self, rows):
        self.information = {}
        for row in rows:
            (key, _, value) = row.partition(" ")
            self.information[key.rstrip("\r\n").lstrip("\ufeff")] = value.rstrip("\r\n")
